Skip to main content
GET
List all bank accounts

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

Response

account_number
string
required

Account number

Example:

"1234567890"

routing_number
string

Routing number

Example:

"123456789"

account_name
string | null

User friendly account name

Example:

"My Bank"

account_type
enum<string> | null

Account type:

  • C - Checking account,
  • S - Savings account,
Available options:
C,
S,
null
Example:

"C"

deposit_type
enum<string> | null

Deposit type:

  • E - Entire paycheck,
  • P - Percentage of the paycheck,
  • A - Fixed amount from the paycheck,
Available options:
E,
P,
A,
null
Example:

"A"

deposit_value
string<decimal> | null

Deposit value

Example:

"200.00"

bank_name
string | null

Bank name

Example:

"TD Bank"